/*
* PROJECT: Happy New Year
* VERSION: 1.0
* AUTHOR: Mattias Thell
* URL: http://www.mattiasthell.com
*
* */

#pragma once

#include <hgevector.h>

namespace hny
{
	class World;

	class RocketSpawner
	{
	public:
		RocketSpawner(World* world);
		~RocketSpawner();

		void SpawnRockets(float dt);

	private:
		void FindTrajectory(hgeVector& start, hgeVector& dir);

		World* mWorld;

		float mSpawnAccum;
		float mRocketSpawnDelay;

		float mBonusRocketAccum;
		float mBonusRocketDelay;

		float mDualRocketAccum;
		float mDualRocketDelay;
	};

}
